import 'package:syncrow_app/features/app_layout/model/space_model.dart';

abstract class TabBarEvent {
  const TabBarEvent();
}

class TabBarTabChangedEvent extends TabBarEvent {
  const TabBarTabChangedEvent({
    required this.selectedIndex,
    required this.roomId,
    required this.unit,
  });

  final int selectedIndex;
  final String roomId;
  final SpaceModel unit;
}
